#!/usr/bin/env python


## ICUM 1.0################################################################
#Creado por Miguel Poyatos, Andres Martinez y Rafael Otal
#http://icum.wordpress.com
#Por favor mandar los bugs a miguelpoyatosmora@gmail.com
###########################################################################


#ICUM esta escrito y mantenido por Miguel Poyatos, Andres Martinez y Rafael Otal
#mandar cualquier modificacion a miguelpoyatosmora@gmail.com
#ICUM 1.0

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.




from ParserXML01 import leerXML
import Frameprincipal
import wx



class IcumApp(wx.App):
    def OnInit(self):
        [software,carreras]=leerXML("icum.xml")
        
        
        self.main = Frameprincipal.create(None,software,carreras)
        self.main.Show()
        self.SetTopWindow(self.main)
        return True


def main():
    application = IcumApp(0)
    application.MainLoop()
    


if __name__ == '__main__':
    main()


 